# Python: module skeinforge_application.skeinforge_plugins.analyze_plugins.interpret

skeinforge_application.skeinforge_plugins.analyze_plugins.interpret ($Date: 2008/21/04 $) | index /home/enrique/Desktop/backup/babbleold/script/reprap/fabmetheus/skeinforge_application/skeinforge_plugins/analyze_plugins/interpret.py

Previous / Next / Contents

`
Interpret is a script to interpret a file, turning it into xml.
Operation
Settings
Print Interpretion
Text Program
`

## Operation

The default 'Activate Interpret' checkbox is off. When it is on, the functions described below will work when called from the skeinforge toolchain, when it is off, the functions will not be called from the tool chain. The functions will still be called, whether or not the 'Activate Interpret' checkbox is on, when interpret is run directly.

## Settings

### Print Interpretion

Default is off.
When selected, the xml text will be printed to the console.

### Text Program

Default is webbrowser.
If the 'Text Program' is set the default 'webbrowser', the XML file will be sent to the default browser to be opened. If the 'Text Program' is set to a program name, the XML file will be sent to that program to be opened.

Previous / Next / Contents

Modules

``

__init__ | fabmetheus_utilities.fabmetheus_tools.fabmetheus_interpret | fabmetheus_utilities.settings | sys

Functions

``

getNewRepository()
  `Get the repository constructor.`

main()
  `Display the interpret dialog.`

writeOutput(fileName, fileNameSuffix, gcodeText='')
  `Write file interpretation, if activate interpret is selected.`

Data
`` |  | __author__ = 'Enrique Perez (perez_enrique@yahoo.com)' __date__ = '$Date: 2008/21/04 $' __license__ = 'GPL 3.0' absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)

Author
`` |  | Enrique Perez (perez_enrique@yahoo.com)